After registering content host, it is not listed
06/11/2014 05:51 PM - Eric Helms

Status: Closed

Priority: High

Assignee: Eric Helms

Category: API

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1107703 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1107703
Description of problem:

After subscribng host to sat6 it is not shown in content host list, nor with hammer cli.

Steps to Reproduce:

1. register host by standard means i.e.: subscription-manager register --force --org="ACME_Corporation" --environment="Library"
2. observe "The system has been registered with id:$HOST-ID" message

3. try hammer content-host info --id=$HOST-ID and observe, that host was registered

4. try hammer content-host list --organization-label="ACME_Corporation'

5. try list content hosts for ACME_Corporation in ui

Actual results:
No data.

Expected results:
At least the registered host should have been listed

Associated revisions

Revision 1715bb02 - 06/11/2014 06:48 PM - Eric Helms

Fixes #6171: Remove nil UUIDs when generating content host list.
The presence of nil UUIDs will cause ElasticSearch to fail when fetching
and thus no content hosts will be returned when hitting the index APl method.

Content hosts with nil UUIDs can occur when an error occurs in a backend
system during content host registration.

Revision 26ca7cd3 - 06/11/2014 07:45 PM - Eric Helms
Merge pull request #4249 from ehelms/fixes-6171

Fixes #6171: Remove nil UUIDs when generating content host list.

History

#1 - 06/11/2014 07:17 PM - Eric Helms
- Category set to API

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#2 - 06/11/2014 07:52 PM - Eric Helms
- Status changed from New to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1107703

Applied in changeset katellojcommit:1715bb02b9275¢c797eeeal02c61446e4cf33cdbb2.

#3 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
